#ifndef _CMOVABLECAMERA_H_
#define _CMOVABLECAMERA_H_

#include "CBasicCamera.h"

#include <string>
using std::string;

class CMovableCamera : public CBasicCamera
{
protected:

private:

	CMovableCamera(const CMovableCamera&);
	CMovableCamera &operator = (const CMovableCamera&);

public:
	CMovableCamera();
	CMovableCamera(const string& cameraName);
	CMovableCamera(const string& cameraName, const D3DXVECTOR3& startPosition);
	CMovableCamera(const string& cameraName, const D3DXVECTOR3& startPosition, const D3DXVECTOR3& startLookAt);
	CMovableCamera(const string& cameraName, const D3DXVECTOR3& startPosition, CGameObject* startTarget);
	~CMovableCamera();

	void Update(void);
};

#endif