#ifndef _CVERTEXSHADER_H_
#define _CVERTEXSHADER_H_

#include "CShader.h"

class CVertexShader : public CShader
{
protected:

	IDirect3DVertexShader9* m_VertexShader;

private:

	CVertexShader(const CVertexShader &);
	CVertexShader & operator = (const CVertexShader &);

public:

	CVertexShader();
	~CVertexShader();

	CShader& Create(string shaderName, string shaderFileName, string shaderEntryPoint, string shaderVersion);
	bool Release();

	bool SetShader();
};

#endif